#include "CPidEditorAniUsing.h"
#include "resource.h"

IMPLEMENT_DYNAMIC(CPidEditorAniUsing, CDialog)

BEGIN_MESSAGE_MAP(CPidEditorAniUsing, CDialog)
END_MESSAGE_MAP()

CPidEditorAniUsing::CPidEditorAniUsing(CWnd* pParent)
	: CDialog(IDD_PIDEDITOR_ANI_USING, pParent)
{
}

CPidEditorAniUsing::~CPidEditorAniUsing()
{
}

void CPidEditorAniUsing::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_LIST_ANI, edit_aniList);
}

BOOL CPidEditorAniUsing::OnInitDialog()
{
	CDialog::OnInitDialog();
	for (auto& p : inAniList)
	{
		edit_aniList.AddString(p.c_str());
	}
	CString str;
	str.Format(L"正在使用%d号id的所有动画", inID);
	SetWindowTextW(str);
	return 0;
}
